GET
/api/v1/nodes/{node_id}/monitoring/alerts/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/monitoring/alerts/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/monitoring/alerts/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/monitoring/alerts/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/monitoring/alerts/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/monitoring/alerts/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/monitoring/alerts/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Retrieves the alert notification configuration (notified emails / user groups) for the load balancer’s underlying node. The node_id path parameter is the load balancer’s node_detail.node_id.
Alerts and List Alerts are the same request.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”node_id
required
string
Path parameter node_id.
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>apikey
required
string
API key used to authenticate the request
Example
<API_KEY>location
required
string
Location filter for alerts
Example
<LOCATION>Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
code
HTTP status code of the response
integer
data
object
errors
Human-readable error message returned by the API
string
message
Human-readable status message for the alerts response
string
Example
{ "code": 200, "errors": "", "message": "Emails retrieved successfully"}